function [priceS,agS,hhS,K,L,gr,pol0V, mu, phi, c, l, v, a, h, x,util,BT,phi0,valAbil,...
    vhx,ax,hx,xx,Xx,vh1Child,hT1,Lambda,dist,B1] = bgpload(calibNo, calBgp, bgpNo, dbg);
% bgpload: Load info about bgp
% ---------------------------------------
% TASK:
%   Load info about bgp
%   Policies: return REALIZED values
% IN:
%   calibNo, calBgp  characterize calibration
%   bgpNo            characterizes policies

% OUT:
%   K,L     aggregate K,L; normalized by h1*popul.size
%   gr      growth rate
%   pol0V   policy vector in standard format
%   mu      mu*, 1xT
%   BT      bequest left at END of age T
%   hx      hc profile before age 1; set to h(1) if no investment in h1
%   dist    terminal distance of bgp iterations
%   B1      bequest received
%   c, l, v, a, h, x = 1xT, behavior of representative hh

% REM:
% - program allows the matrix to be too large

% AUTHOR: Lutz Hendricks, 1993-97
% ---------------------------------------

   global calNo Tx

   if nargin ~= 4
      abort([ mfilename, ': Invalid no of inputs' ]);
   end

   fname = bgpfname(calibNo, calBgp, bgpNo);
   disp([ 'BGPLoad:  Loading from file ', fname ])


% ***** Initialize for old file formats

   hhS = 0;
   agS = 0;
   util = 0;


% *********  MAIN  ************************

   eval([ 'load ', fname ]);
   % X = load2( fname );
    xc = size(saveMat,2);

    gr  = saveMat(1,1);
    K   = saveMat(1,2);
    L   = saveMat(1,3);
    %RR  = saveMat(1,4);
    %ts  = saveMat(1,5);
    %AIME= saveMat(1,7);
    BT  = saveMat(1,8);
    T   = saveMat(1,9);
    polNo = saveMat(1,10);

    vh1Child = saveMat(1,11);
    hT1 = saveMat(1,12);
    Lambda = saveMat(1,13);
    dist = saveMat(1,14);
    B1 = saveMat(1,15);

    if polNo > 0
        pol0V = saveMat(2,1:polNo);
    else
        pol0V = saveMat(2,:);
    end

    if T == 0
        T = xc;
        while saveMat(9,T) < 1e-3
            T = T - 1;
        end
        if T < 3
            abort('BGPLoad: Invalid computed T')
        end
    end

    mu = saveMat(3,1:T);
    phi= saveMat(4,1:T);
    c  = saveMat(5,1:T);
    l  = saveMat(6,1:T);
    v  = saveMat(7,1:T);
    a  = saveMat(8,1:T);
    h  = saveMat(9,1:T);
    x  = saveMat(10,1:T);

    tmp = saveMat(11,:);
    phi0 = tmp(1);
    valAbil = tmp(3);
    Xx = tmp(4);

if Tx >= 1
    ax = saveMat(12,1:Tx+1);
    hx = saveMat(13,1:Tx+1);
    vhx = saveMat(14,1:Tx);
    xx  = saveMat(15,1:Tx);
else
    ax  = 0;
    hx  = h(1);
    vhx = 0;
    xx  = 0;
end



% *********  CHECK LOADED RESULTS  **********

    Fehler = 0;

    if 1
        if K<=0 | L<=0 | any(mu<0)
            Fehler = 1;
        end
    end

    if Fehler == 1
        disp('--- BGPLOAD: LOADED VALUES ---')
        gr
        K
        L
        Pol
        mu
        abort('Invalid loaded values')
    end


% *** end function ***

