function el = elast(x2, x, yRatio)
% Compute elasticity of x w.r.to y
% ---------------------------------------
% TASK:
%   Take into account the possibility that some x may be 0.
% IN:
%   x2          new x; after y change
%   x           old x
%   yRatio      rate of change of y (y2./y - 1)
% OUT:
%   elasticity
%   0 where undefined

% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

    TOLER = 1e-12;

    % ** If signs differ: don't compute elasticity
    x = x .* ( sign(x) == sign(x2) );

    if all( abs(x) > TOLER )
        el = (x2 ./ x - 1) ./ yRatio;
        return;
    end

    el = zeros(1, length(x));
    for i = 1 : length(x)
        if abs(x(i)) > TOLER
            el(i) = (x2(i) ./ x(i) - 1) ./ yRatio;
        else
            el(i) = 0;
        end
    end    


% *** end function ***
