function [age,lastT,t1,popul,parentBd] = hhfacts(t,bdate,T,T1,iniPop,popGrowth)
% Compute hh data for a given generation
% ---------------------------------------
% IN:
%   bdate       birth date
%   t           today's date
%   iniPop      cohort size of DATE 1
%   popGrowth   1 + pop. growth
% OUT:
%   age
%   lastT       last period of life
%   t1          last period "of work"
%   popul       cohort size
%   parentBd    parents' bdate

%
% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% *** GLOBALS ***

    global tb

    age = t - bdate + 1;
    lastT = bdate + T - 1;
    t1 = bdate + T1 - 1;
    popul = iniPop * popGrowth^(bdate-1);
    parentBd = bdate - tb + 1;


% *** end function ***
