function diff = hhfctT1(l);
% TASK: solve for l that satisfies the BC when T=1
% For an interior solution with bequests
% IN:
%   l = leisure
% GLOBALS:  fsolveG
%   (1) wealth      = a1*(1+r) + Tr
%   (2) wh          = w*h
%   (3) tcP1        = tc+1
%   (4) tbP1        = tb+1
% ---------------------------------------------------
    
    global rho bequ sig
    global fsolveG
    
    wealth  = fsolveG(1);
    wh      = fsolveG(2);
    tcP1    = fsolveG(3);
    tbP1    = fsolveG(4);
    
    c = l * wh / tcP1 / rho;
%    tmp = (wh/tcP1/rho)^(rho*(1-sig)) * c^(rho*(1-sig)-sig) / ...
%        (bequ*tcP1/tbP1);
%    BT = tmp ^ (-1/sig);
    BT = c * ( bequ*tcP1/tbP1 * l^((sig-1)*rho) ) ^ (1/sig);

    diff = wealth + wh*(1-l) - c*tcP1 - BT*tbP1;
