function ktaxRev = ktax(rGross, K, tk, ddk, kDeduct)
% ktax: Capital income tax revenue
% ---------------------------------------
% TASK:
%   Capital income tax revenue
% IN:
%   rGross   = interest rate BEFORE tax and depreciation
%   K   = capital stock
%   tk  = tax rate (flat)
%   ddk = depreciation
%   kDeduct = fraction of depreciation which is tax deductable
% OUT:
%   tax revenue

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------


    ktaxRev = tk .* K .* (rGross - kDeduct.*ddk);


% *** end function ***

