function setbgpol(calNoIn, calBgp, bgpNo)
% Set the policy guess saved in a bgp file
% IN:
%   expNo   = experiment id.
%   calNoIn = calibration number (optional)
% --------------------------------------------------------------

   abort([ mfilename, ': Not updated' ]);

% *********** Load Settings **************

   [K,L,gr,Pol, mu, phi, c, l, v, a, h, x ] = bgpload(expNo);

   % ** Which tax adjusts?
   [ tax0, tax9, taxE, other ] = expmt(expNo);
   taxAdj0 = other(9);


% *********  Input new policy  *************

   disp(' ')
   disp('----  SetBgPol  ----')
   tmp = sprintf('Current policy: %5.3f', Pol(taxAdj0));
   disp(tmp)
   newPol = input('New policy: ');

   outFile.calNo  = calNoIn;
   outFile.calBgp = calBgp;
   outFile.bgpNo  = bgpNo;
   bgpsave(gr, K,L, newPol, mu,phi, c, l, v, a, h, x, tax0,taxAdj0,...
      outFile);

   disp('SetBgPol: Done.')

% *** end function ***
