function t_bgsave
%   Test BgpLoad and BgpSave

abort([ mfilename, ': Not updated' ]);

% ******  Create test data  *******

    disp('t_bgsave: start')
    T  = 10;
    gr = 5;
    K  = 6;
    L  = 6.1;
    RR  = 8.8;
    ts  = 0.99;
    u   = 9.11;
    BT  = 10.11;
    AIME = 11.11;
    mu  = ones(1,T).*2.2;
    phi = ones(1,T).*2.78;
    c   = ones(1,T).*3.1;
    l   = ones(1,T).*4.1;
    v   = ones(1,T).*5.1;
    a   = ones(1,T).*6.1;
    h   = ones(1,T).*7.1;
    x   = ones(1,T).*8.1;

    Pol = 9.1;
    tax0 = seqa(1.11, 1.03, 10)';
    taxAdj0 = 3;

    phi0 = 1.1;
    valAbil = 1.2;
    vhx = 1.3;
    ax = 1.4;
    hx = 1.5;
    age1 = 1.7;

    Xx = 2;
    vh1Child = 3;
    hT1 = 4;
    Lambda = 5;
    dist = 6;
    B1 = 7;


% ******  Save  *******

    bgpsave(gr, K,L, Pol, mu,phi, c,l,v,a,h,x,u,tax0,taxAdj0,BT,...
    phi0,valAbil,vhx,ax,hx,age1,Xx,vh1Child,hT1,Lambda,dist,B1, 'test');

% ******  Load  *******

    [K2,L2,gr2,Pol2,RR2,ts2,mu2,phi2, c2,l2,v2,a2,h2,x2,u2,AIME2,BT2, ...
    phi02,valAbil2,vhx2,ax2,hx2,age12,Xx2,vh1Child2,hT12,Lambda2,dist2,B12] = bgpload('test');


% ******  Compare  ****

    X = [ K,L,gr,  Pol,          RR, ts, mu,  c,l,v,a,h,x, u,AIME,BT, Lambda,B1 ];
    Y = [K2,L2,gr2,Pol2(taxAdj0),RR2,ts2,mu2, c2,l2,v2,a2,h2,x2, u2,AIME2,BT2, Lambda2,B12 ];
    if X == Y
        disp('  SUCCESS.')
    else
        disp('X ~= Y')
        X
        Y
    end


    disp('t_bgsave: end')
