function [ u, uc, ul ] = ufct( c, l )
% Utility function and derivatives
% ---------------------------------------
% IN:
%   c, l
% OUT:
%   u(), du/dc, du/dl

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

    global sig rho

    sig1 = 1 - sig;
    u = c.^sig1 .* l.^(rho.*sig1) ./ sig1;
    uc = sig1 .* u ./ c;
    ul = rho .* sig1 .* u ./ l;

% *** end function ***

