function  vlen = veclen(v)
% Compute valid length of a vector.
% ---------------------------------------
% TASK:
%   Valid length is defined as the maximum index for which the vector's values
%   are defined.
%   The criterion is  v(i) ~= UNDEFINED
% IN:
%   v           vector
%   UNDEFINED   global
% OUT:
%

% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

% *** GLOBALS ***

    global UNDEFINED
    
    if isempty(UNDEFINED)
        abort('UNDEFINED not defined.')
    end
    
    if all( v == UNDEFINED )
        vlen = 0;
        return;
    end

    for vlen = length(v) : -1 : 1
        if v(vlen) ~= UNDEFINED
            return;
        end
    end

% *** end function ***
